botruntime
API ReferenceTables API

Get Table Row

Fetches a specific row from a table using the row's unique identifier.

GET
/v1/tables/{table}/row

Path Parameters

table*string

The table's name or unique identifier for targeting specific table operations.

Query Parameters

id*integer

Identifier of the row within the table.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/tables/string/row?id=0"
{  "row": {    "id": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "computed": {      "property1": {        "status": "string",        "error": "string",        "updatedBy": "string",        "updatedAt": "string"      },      "property2": {        "status": "string",        "error": "string",        "updatedBy": "string",        "updatedAt": "string"      }    },    "stale": [      "string"    ],    "similarity": 0  }}
{  "row": {    "id": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "computed": {      "property1": {        "status": "string",        "error": "string",        "updatedBy": "string",        "updatedAt": "string"      },      "property2": {        "status": "string",        "error": "string",        "updatedBy": "string",        "updatedAt": "string"      }    },    "stale": [      "string"    ],    "similarity": 0  }}